PropertyBasedObjectIdGenerator
Date: 2016-12-04

com.fasterxml.jackson.databind.deser.impl

## Class PropertyBasedObjectIdGenerator

- java.lang.Object
- - com.fasterxml.jackson.annotation.ObjectIdGenerator<T>
  - - com.fasterxml.jackson.annotation.ObjectIdGenerators.PropertyGenerator
    - - com.fasterxml.jackson.databind.deser.impl.PropertyBasedObjectIdGenerator

- All Implemented Interfaces:
    java.io.Serializable

      public class PropertyBasedObjectIdGenerator
      extends com.fasterxml.jackson.annotation.ObjectIdGenerators.PropertyGenerator

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.annotation.ObjectIdGenerator

      `com.fasterxml.jackson.annotation.ObjectIdGenerator.IdKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyBasedObjectIdGenerator(java.lang.Class<?> scope)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.fasterxml.jackson.annotation.ObjectIdGenerator<java.lang.Object>` | `forScope(java.lang.Class<?> scope)`
    `java.lang.Object` | `generateId(java.lang.Object forPojo)`
    `com.fasterxml.jackson.annotation.ObjectIdGenerator.IdKey` | `key(java.lang.Object key)`
    `com.fasterxml.jackson.annotation.ObjectIdGenerator<java.lang.Object>` | `newForSerialization(java.lang.Object context)`

    - ### Methods inherited from class com.fasterxml.jackson.annotation.ObjectIdGenerator

      `isValidReferencePropertyName, maySerializeAsObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyBasedObjectIdGenerator

          public PropertyBasedObjectIdGenerator(java.lang.Class<?> scope)

  - ### Method Detail

    - #### generateId

          public java.lang.Object generateId(java.lang.Object forPojo)

    - #### forScope

          public com.fasterxml.jackson.annotation.ObjectIdGenerator<java.lang.Object> forScope(java.lang.Class<?> scope)

      Specified by:
        `forScope` in class `com.fasterxml.jackson.annotation.ObjectIdGenerator<java.lang.Object>`

    - #### newForSerialization

          public com.fasterxml.jackson.annotation.ObjectIdGenerator<java.lang.Object> newForSerialization(java.lang.Object context)

      Specified by:
        `newForSerialization` in class `com.fasterxml.jackson.annotation.ObjectIdGenerator<java.lang.Object>`

    - #### key

          public com.fasterxml.jackson.annotation.ObjectIdGenerator.IdKey key(java.lang.Object key)

      Specified by:
        `key` in class `com.fasterxml.jackson.annotation.ObjectIdGenerator<java.lang.Object>`